Package org.apache.sling.scripting.sightly.impl.filter

## Class I18nFilter

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.filter.AbstractFilter
  - - org.apache.sling.scripting.sightly.impl.filter.I18nFilter

All Implemented Interfaces:
  `Comparable<Filter>`, `Filter`

    public final class I18nFilter
    extends AbstractFilter

Filter for i18n translation

### Field Summary

Fields
`static String` `BASENAME_OPTION`
`static String` `HINT_OPTION`
`static String` `I18N_OPTION`
`static String` `LOCALE_OPTION`

### Fields inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`NON_PARAMETRIZABLE_CONTEXTS, priority`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected Expression` `apply​(Expression expression, Map<String,​ExpressionNode> options)`
`static I18nFilter` `getInstance()`

### Methods inherited from class org.apache.sling.scripting.sightly.impl.filter.AbstractFilter

`apply, compareTo, equals, getApplicableContexts, getOptions, getRequiredOptions, hashCode, priority`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### I18N_OPTION

    public static final String I18N_OPTION

See Also:
  Constant Field Values

#### HINT_OPTION

    public static final String HINT_OPTION

See Also:
  Constant Field Values

#### LOCALE_OPTION

    public static final String LOCALE_OPTION

See Also:
  Constant Field Values

#### BASENAME_OPTION

    public static final String BASENAME_OPTION

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static I18nFilter getInstance()

#### apply

    protected Expression apply​(Expression expression,
                               Map<String,​ExpressionNode> options)

Specified by:
  `apply` in class `AbstractFilter`